//
//  TSViewTool.swift
//  TSLiveWallpaper
//
//  Created by 100Years on 2024/12/20.
//

class TSViewTool: UIView {
    
}

func createBlurEffectView(style:UIBlurEffect.Style,backgroundColor:UIColor? = nil) -> UIVisualEffectView {
    let blurEffect = UIBlurEffect(style: style)
    let blurEffectView = UIVisualEffectView(effect: blurEffect)
    blurEffectView.autoresizingMask = [.flexibleWidth, .flexibleHeight]
    
    if backgroundColor != nil {
        blurEffectView.backgroundColor = backgroundColor
    }
    
    return blurEffectView
}

func kAddNormalSubmitGradientBg(view:UIView){
    kDelayMainShort {
        view.addGradientBg(colors: ["#E961F6".uiColor.cgColor,"#7E57F4".uiColor.cgColor])
    }
}

func kCreateMoreInfoBtn() -> UIButton{
    let btn = TSUIExpandedTouchButton()
    btn.setImage(UIImage(named: "more_info_white"), for: .normal)
    return btn
}

let kPlaceholderImage = UIImage(named: "placeholderImage")
let kRingPlaceholderImage = UIImage(named: "ringplaceholderImage")
let kViewBJ = "view_bj"
